package com.bankaudit.dao;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintResidualRisk;

public interface MaintResidualRiskDao extends Dao{
	
	List<MaintResidualRisk> getMaintResidualRisksExceptThis(Integer legalEntityCode,String residualRiskCode);

	DataTableResponse getMaintResidualRisks(Integer legalEntityCode, String search, Integer orderColumn,
			String orderDirection, Integer page, Integer size);
	
	Boolean isMaintResidualRisk(Integer legalEntityCode);

	void deleteMaintResidualRisks(Integer legalEntityCode, String statusUnauth);
	
	MaintResidualRisk getResidualRiskOnPercentage(Integer legalEntityCode, Integer riskScore);

	Boolean isResidualRiskCode(Integer legalEntityCode, String residualRiskCode);

}
